HtmlInsert (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.ui.component.html.HtmlInsert class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.ui.component.html
Class HtmlInsert

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.ui.component.UIInsert
                  org.richfaces.ui.component.html.HtmlInsert

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlInsert

extends UIInsert

Component-Type org.richfaces.ui.Insert Component-Family org.richfaces.ui.Insert Renderer-Type org.richfaces.ui.InsertRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlInsert()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getEncoding()` Attribute defines encoding for inserted content Getter for encoding
`java.lang.String` | `getErrorContent()` Attribute defines the alternative content that will be shown in case component cannot read the resource defined with 'src' attribute.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHighlight()` Defines a type of code Getter for highlight
`java.lang.String` | `getSrc()` Defines the path to the file with source code Getter for src
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setEncoding(java.lang.String __encoding)` Attribute defines encoding for inserted content Setter for encoding
`void` | `setErrorContent(java.lang.String __errorContent)` Attribute defines the alternative content that will be shown in case component cannot read the resource defined with 'src' attribute.
`void` | `setHighlight(java.lang.String __highlight)` Defines a type of code Setter for highlight
`void` | `setSrc(java.lang.String __src)` Defines the path to the file with source code Setter for src

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlInsert

    public HtmlInsert()

  Constructor to init default renderers

Method Detail

### setEncoding

    public void setEncoding(java.lang.String __encoding)

  Attribute defines encoding for inserted content Setter for encoding

  Specified by:
    `setEncoding` in class `UIInsert`
  Parameters:
    `encoding` - - new value

### getEncoding

    public java.lang.String getEncoding()

  Attribute defines encoding for inserted content Getter for encoding

  Specified by:
    `getEncoding` in class `UIInsert`
  Returns:
    encoding value from local variable or value bindings

### setErrorContent

    public void setErrorContent(java.lang.String __errorContent)

  Attribute defines the alternative content that will be shown in case component cannot read the resource defined with 'src' attribute. If "errorContent" attribute is not defined, the component shown the actual error message in the place where the content is expected Setter for errorContent

  Specified by:
    `setErrorContent` in class `UIInsert`
  Parameters:
    `errorContent` - - new value

### getErrorContent

    public java.lang.String getErrorContent()

  Attribute defines the alternative content that will be shown in case component cannot read the resource defined with 'src' attribute. If "errorContent" attribute is not defined, the component shown the actual error message in the place where the content is expected Getter for errorContent

  Specified by:
    `getErrorContent` in class `UIInsert`
  Returns:
    errorContent value from local variable or value bindings

### setHighlight

    public void setHighlight(java.lang.String __highlight)

  Defines a type of code Setter for highlight

  Specified by:
    `setHighlight` in class `UIInsert`
  Parameters:
    `highlight` - - new value

### getHighlight

    public java.lang.String getHighlight()

  Defines a type of code Getter for highlight

  Specified by:
    `getHighlight` in class `UIInsert`
  Returns:
    highlight value from local variable or value bindings

### setSrc

    public void setSrc(java.lang.String __src)

  Defines the path to the file with source code Setter for src

  Specified by:
    `setSrc` in class `UIInsert`
  Parameters:
    `src` - - new value

### getSrc

    public java.lang.String getSrc()

  Defines the path to the file with source code Getter for src

  Specified by:
    `getSrc` in class `UIInsert`
  Returns:
    src value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.